# Python3 packaging is turned off until pagure itself is ported to python3.
%global with_python3 0

# Current EL releases & older Fedora use "python-*"
%if 0%{?el6} || 0%{?el7} || 0%{?fedora} < 25
%define py_prefix python
%if 0%{?el6} || 0%{?el7}
BuildRequires: python-devel
%else
BuildRequires: python2-devel
%endif
%else
# Newer Fedora releases use "pythonX-*"
%define py_prefix python2
BuildRequires: python2-devel
%endif


%{!?_licensedir: %global license %%doc}

%global modname pagure-dist-git
%global sum     Pagure gitolite plugin for Fedora's dist-git setup.

Name:               pagure-dist-git
Version:            0.4
Release:            1%{?dist}
Summary:            %{sum}

License:            GPLv2+
URL:                http://pypi.python.org/pypi/pagure-dist-git
Source0:            https://pypi.io/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:          noarch


%description
Since 3.0 pagure offers a way to customize the creation and compilation the
of the gitolite configuration file.

This project hosts the logic to generate gitolite's configuration file for
dist-git which has a different access model than regular projects on pagure
(for example, forced pushed is forbidden).

%package -n python2-%{modname}
Summary:            Pagure gitolite plugin for Fedora's dist-git setup.
%{?python_provide:%python_provide python2-%{modname}}

BuildRequires:      %{py_prefix}-devel
BuildRequires:      %{py_prefix}-setuptools

Requires:           %{py_prefix}-pdc-client
Requires:           %{py_prefix}-dogpile-cache
Requires:           pagure>=3.2

%description -n python2-%{modname}
Since 3.0 pagure offers a way to customize the creation and compilation the
of the gitolite configuration file.

This project hosts the logic to generate gitolite's configuration file for
dist-git which has a different access model than regular projects on pagure
(for example, forced pushed is forbidden).

%if 0%{?with_python3}
%package -n python3-%{modname}
Summary:            Pagure gitolite plugin for Fedora's dist-git setup.
%{?python_provide:%python_provide python3-%{modname}}

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools

Requires:           python3-pdc-client
Requires:           python3-dogpile-cache
Requires:           python3-pagure

%description -n python3-%{modname}
Since 3.0 pagure offers a way to customize the creation and compilation the
of the gitolite configuration file.

This project hosts the logic to generate gitolite's configuration file for
dist-git which has a different access model than regular projects on pagure
(for example, forced pushed is forbidden).
%endif

%prep
%autosetup -n %{modname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

# Install the custom template/theme
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pagure_dist_git/template/
install -m 644 template/repo_info.html $RPM_BUILD_ROOT/%{_datadir}/pagure_dist_git/template/


# The tests require network access, so don't run them.
#%%check
#%%{__python2} setup.py test
#%%if 0%%{?with_python3}
#%%{__python3} setup.py test
#%%endif

%files -n python2-%{modname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/dist_git_auth.py*
%{python2_sitelib}/pagure_dist_git-%{version}*
%{_datadir}/pagure_dist_git/

%if 0%{?with_python3}
%files -n python3-%{modname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/dist_git_auth.py*
%{python3_sitelib}/pagure_dist_git-%{version}*
%{_datadir}/pagure_dist_git/
%endif


%changelog
* Mon Jul 24 2017 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.4-1
- Update to 0.4
- Adjust the generation of the configuration with the change made to groups
  (requires pagure >= 3.2)
- Ship a custom repo_info template with information specific for dist-git

* Tue Jul 04 2017 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.3-1
- Update to 0.3
- Adjust the spec file to make it support epel as well as Fedora
- Do not reconfigure the logger when one is already configured
- Rework the plugin to reduce the diff it produces

* Fri Jun 30 2017 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2-1
- Update to 0.2
- Include the missing entry_point in the setup.py

* Fri Jun 30 2017 Ralph Bean <rbean@redhat.com> - 0.1-1
- Initial packaging for Fedora
